Bug 722192 - btrfs error: btrfs file system prevents booting
btrfs error: btrfs file system prevents booting
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: Installation
Beta 1
All Other
: P5 - None : Critical (vote)
: ---
Assigned To: David Sterba
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 06:03 UTC by uwe dittmann
Modified: 2011-11-08 11:09 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---
crrodriguez: SHIP_STOPPER?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description uwe dittmann 2011-10-05 06:03:46 UTC
User-Agent:       Opera/9.80 (X11; Linux i686; U; de) Presto/2.9.168 Version/11.51

My System:

Host: 
- openSUSE 11.4 + KDE 4.7.1 as a Hostsystem for VirtualBox (4.1.x).

Guest-System:
- Live-CD GNOME 3.2 openSUSE 12.1 Beta-1 (32-Bit) (Build315)

Process:
Booting from Live Medium, install this "btrfs" as the default file system. Partitioning of openSUSE taken, installation proceeds without error until the system reboots. Boot process aborts suddenly and stops. 

The following message is displayed: "Waiting for Device /dev/disk/buy-uuid/12345 to appear .......(...) could not find /dev/disk/buy-uuid/12345. Want me to fall back to UUID=06fcf804-a96a-xxxx-xxx-xxx? (Y/n)"

Will be continued until further boot process if (Y/n) "Enter" to confirm. This procedure must be repeated at every system startup.

This error is found with KDE and GNOME live CD if Btrfs is used as a file system. 

Reproducible: Always

Steps to Reproduce:
1. Boot
2. press "Escape"
3. see message
Actual Results:  
use no btrfs file system
Comment 1 David Sterba 2011-10-19 12:30:00 UTC
(In reply to comment #0)
> The following message is displayed: "Waiting for Device
> /dev/disk/buy-uuid/12345 to appear .......(...) could not find
> /dev/disk/buy-uuid/12345. Want me to fall back to
> UUID=06fcf804-a96a-xxxx-xxx-xxx? (Y/n)"

What does the 12345 uuid mean? I remember seeing this long long ago but don't remember what was the outcome.
Comment 2 Christian Boltz 2011-10-19 13:51:08 UTC
(In reply to comment #1)
> What does the 12345 uuid mean? I remember seeing this long long ago but don't
> remember what was the outcome.

Judging on the google results ("btrfs 12345"), it could be a default value in YaST:
http://lists.opensuse.org/archive/yast-commit/2011-05/msg00215.html
(that's a commit in the SLE 11 SP2 branch - you should probably check the YaST code in 12.1)

HTH ;-)
Comment 3 Herbert Graeber 2011-10-22 09:16:03 UTC
This still happens with openSUSE 12.1 RC1
Comment 4 shayne lucas 2011-10-27 13:36:42 UTC
I have just installed rc1 64bit gnome livecd  with btrfs and am experiencing this bug
Comment 5 David Goller 2011-11-02 04:12:29 UTC
i changed in /boot/grub/menu.lst
"kernel /vmlinuz-3.1.0-rc9-1-desktop root=/dev/disk/by-uuid/12345"
to
"kernel /vmlinuz-3.1.0-rc9-1-desktop root=/dev/disk/by-uuid/'UUID of disk'"

now it works
Comment 6 David Goller 2011-11-06 19:43:37 UTC
with openSUSE 12.1 RC2 it works
Comment 7 uwe dittmann 2011-11-08 08:39:42 UTC
fixed, works now!

Bug closed!